package com.nisum.asegers.docker_k8_employee_service.service;

import com.nisum.asegers.docker_k8_employee_service.model.Employee;
import com.nisum.asegers.docker_k8_employee_service.repository.EmployeeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class EmployeeService {
    @Autowired
    EmployeeRepository employeeRepository;

    public List<Employee> getAllEmployees() {
        return employeeRepository.findAll();
    }

    public Optional<Employee> getEmployeeById(Long Id) {
        return employeeRepository.findById(Id);
    }
}
